export declare const KEY_LENGTH = 20;
export declare const ID_LENGTH = 32;
export declare const MIN_MESSAGE_ID = "00000000000000000000000000000000";
export declare const MAX_MESSAGE_ID = "vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv";
export declare const messageIdPattern: RegExp;
export declare function getKey(clock: number, value: Uint8Array): Uint8Array;
export declare const encodeId: (id: string) => Uint8Array;
export declare const decodeId: (key: Uint8Array) => string;
export declare class MessageId {
    readonly id: string;
    readonly key: Uint8Array;
    readonly clock: number;
    static create(clock: number, value: Uint8Array): MessageId;
    static decode(key: Uint8Array): MessageId;
    static encode(id: string): MessageId;
    constructor(id: string, key: Uint8Array, clock: number);
    equals(other: MessageId): boolean;
    toString(): string;
}
