import { encodeSignedMessage, decodeSignedMessage } from "./schema.js";
import { decodeId, getKey } from "./MessageId.js";
export class SignedMessage {
    signature;
    message;
    value;
    static decode(value, context = {}) {
        const { signature, message } = decodeSignedMessage(value);
        return new SignedMessage(signature, message, value, context);
    }
    static encode(signature, message, context = {}) {
        const value = encodeSignedMessage(signature, message);
        return new SignedMessage(signature, message, value, context);
    }
    id;
    key;
    source;
    result;
    constructor(signature, message, value, context) {
        this.signature = signature;
        this.message = message;
        this.value = value;
        this.key = getKey(message.clock, value);
        this.id = decodeId(this.key);
        this.source = context.source;
        this.result = context.result;
    }
}
