export class MissingParentError extends Error {
    parent;
    id;
    static code = "MISSING_PARENT";
    code = MissingParentError.name;
    constructor(parent, id) {
        super(`missing parent ${parent} of ${id}`);
        this.parent = parent;
        this.id = id;
    }
}
export class MessageNotFoundError extends Error {
    id;
    static code = "MESSAGE_NOT_FOUND";
    code = MessageNotFoundError.name;
    constructor(id) {
        super(`message ${id} not found`);
        this.id = id;
    }
}
export class ConflictError extends Error {
    source;
    target;
    static code = "CONFLICT";
    code = ConflictError.name;
    constructor(source, target) {
        super(`conflicting values for key`);
        this.source = source;
        this.target = target;
    }
}
export class AbortError extends Error {
    static code = "ABORT";
    code = AbortError.name;
    constructor() {
        super("sync aborted by server");
    }
}
