import { Config, DatabaseUpgradeAPI } from "@canvas-js/modeldb";
import { MessageType } from "@canvas-js/interfaces";
export declare const namespace = "gossiplog";
export declare const version = 5;
export declare const baseVersion: {
    gossiplog: number;
};
export declare function upgrade<Payload extends MessageType>(upgradeAPI: DatabaseUpgradeAPI, oldConfig: Config, oldVersion: Record<string, number>, newVersion: Record<string, number>): Promise<boolean>;
export declare const initialUpgradeVersion: {
    gossiplog: number;
};
export declare const initialUpgradeSchema: {
    $messages: {
        id: "primary";
        signature: "json";
        message: "json";
        hash: "string";
        clock: "integer";
        branch: "integer";
        $indexes: string[];
    };
    $heads: {
        id: "primary";
    };
    $ancestors: {
        id: "primary";
        links: "json";
    };
    $branch_merges: {
        id: "primary";
        source_branch: "integer";
        source_clock: "integer";
        source_message_id: "string";
        target_branch: "integer";
        target_clock: "integer";
        target_message_id: "string";
    };
};
