import { Stream } from "@libp2p/interface";
import { Uint8ArrayList } from "uint8arraylist";
import type { Key, Node } from "@canvas-js/okra";
import * as Sync from "@canvas-js/gossiplog/protocols/sync";
import { SyncSnapshot } from "../interface.js";
export declare function decodeResponses(source: AsyncIterable<Uint8Array | Uint8ArrayList>): AsyncGenerator<Sync.Response, void, unknown>;
export declare function encodeRequests(source: AsyncIterable<Sync.Request>): AsyncGenerator<Uint8Array, void, unknown>;
export declare class Client implements SyncSnapshot {
    private readonly stream;
    private readonly responses;
    private readonly requests;
    private readonly log;
    constructor(stream: Stream);
    end(): void;
    getRoot(): Promise<Node>;
    getNode(level: number, key: Key): Promise<Node | null>;
    getChildren(level: number, key: Key): Promise<Node[]>;
    getValues(keys: Uint8Array[]): Promise<Uint8Array[]>;
    private get;
}
